> For the complete documentation index, see [llms.txt](https://docs.fusion.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fusion.vectra.ai/detection-models/library/operational-governance/bittorrent_user.md).

# bittorrent\_user

**Explanation**

The bittorrent\_user CCM creates a context label for any internal host that has been observed communicating with a host running BitTorrent tracker software on a TCP port commonly associated with that type of server. This list of BitTorrent trackers refreshes every few days, but the IPs remain fairly consistent. You can use this IP reputation list in your own queries by adding `dstiprep.categories == file_sharing_bittorrent_tracker`; please note that these hosts tend to run many services that might be legitimate, so there might be false positives if specific ports are not specified.

The label created by this CCM should only last 30 minutes from the last observed activity. The reason for this is that the CCM was designed to work in tandem with the [bittorrent](/detection-models/library/operational-governance/bittorrent.md) NDM and trigger a detection event when a host is seen communicating with a BitTorrent tracker as well as communicating on ports commonly associated with BitTorrent file transfers.

**What to Look For**

Please refer to the [bittorrent\_tracker\_internal\_external](/detection-models/library/operational-governance/bittorrent_tracker_internal_external.md) detection for more information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fusion.vectra.ai/detection-models/library/operational-governance/bittorrent_user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
